.duration {
    padding: 48px 48px 60px 48px;
    background: rgba(3, 20, 60, 0.5);
    border-radius: 20px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    color: var(--d-white);
}

.duration .main-text-semibold {
    color: var(--d-grey);
    margin-bottom: 48px;
    text-align: center;
}

.duration-controls {
    display: flex;
    flex-direction: column;
}

.duration-controls input[type="range"] {
    -webkit-appearance: none;
    appearance: none;
    width: 800px;
    height: 8px;
    background: var(--d-dark-40);
    border-radius: 3px;
    outline: none;
    cursor: pointer;
    margin: 16px auto;

}

.duration-controls input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 16px;
    height: 16px;
    background: var(--d-accent);
    border-radius: 50%;
    cursor: pointer;
}



.duration-controls input[type="range"]::-moz-range-thumb {
    width: 16px;
    height: 16px;
    background: var(--d-accent);
    border: none;
    border-radius: 50%;
    cursor: pointer;
    transition: all 0.2s ease;
}


.duration-display {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 12px;
    gap: 12px;
}

.time-display {
    border: 1px solid var(--d-accent-30);
    border-radius: 10px;
    padding: 9px 20px;
    text-align: center;
}

.time-display .subtitle-medium {
    color: var(--d-white);
    background: transparent;
    border: none;
    outline: none;
    text-align: center;
    font-family: inherit;
    font-size: inherit;
    font-weight: inherit;
    cursor: text;
    margin: 0;
    width: 62px;
}

.time-display .subtitle-medium::placeholder {
    color: var(--d-grey);
}

.duration-display button {
    padding: 8px 20px;
    border-radius: 10px;
    outline: none;
    border: none;
}

.calculator .step.duration .h3-small-semibold {
    margin-bottom: 12px;
}

@media (max-width: 1439px) {
    .duration {
        padding: 40px 40px 48px 40px;
        border-radius: 16px;
        border-top-left-radius: 0;
        border-top-right-radius: 0;
    }

    .duration .main-text-semibold {
        margin-bottom: 40px;
    }

    .duration-display .custom-button.large {
        padding: 12px 20px;
        border-radius: 10px;
    }
}


@media (max-width: 1279px) {

    .duration .main-text-semibold {
        margin-bottom: 40px;
    }

    .duration-controls input[type="range"] {
        width: 100%;
    }

    .duration-display {
        margin-top: 32px
    }
}

@media (max-width: 577px) {
    .duration {
        padding: 32px 16px;
    }

    .calculator .step.duration .h3-small-semibold {
        margin-bottom: 16px;
    }

    .duration .main-text-semibold {
        margin-bottom: 32px;
    }
}